.text-danger {
    margin-bottom: 5px;
    display: block;
}

.dashboard_logo {
    height: 41px;
    vertical-align: sub;
    padding-right: 5px;
}

.nodata {
    height: 27px;
    /*    float: left;*/
}

.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody {
    border-bottom: none !important;
}

.wi70 ul li span {
    background: #42d0ff;
    border: solid 1px #33c5f5;
    cursor: pointer;
    color: #fff;
    border-radius: 3px;
    font-size: 14px;
    text-decoration: none;
    width: 38px;
    height: 36px;
    display: block;
    float: left;
    text-align: center;
    line-height: 33px;
}

.wi70 ul li span.plus {
    background: #e6165e;
    border-color: #e6165e;
    font-size: 27px;
    padding: 0;
    line-height: 32px;
}

.list-main .table-scroll {
    position: relative;
    margin: auto;
    overflow: auto;
    /*  max-height: 500px;*/
}

.list-main .table-scroll table {
    width: 100%;
    margin: auto;
    border-collapse: separate;
    border-spacing: 0;
}

.list-main .table-wrap {
    position: relative;
}

.list-main .table-scroll th,
.list-main .table-scroll td {
    padding: 3px;
    border: 1px solid #464646;
    background: #fff;
    vertical-align: middle;
    border-right: 0;
    border-bottom: 0;
    text-align: center;
}

.list-main .table-scroll td {
    width: 80px;
}

.list-main .table-scroll thead {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    z-index: 99;
}

.list-main th:first-child {
    position: -webkit-sticky;
    position: sticky;
    left: 0;
    top: 0;
    z-index: 9;
    text-align: left;
    color: #0fb94c;
    font-weight: 800;
}

.list-main tbody th:first-child {
    position: -webkit-sticky;
    position: sticky;
    left: 0;
    z-index: 5;
    min-width: 200px;
    vertical-align: middle;
    color: #798ca0;
    font-weight: 600;
    text-align: left;
}

.currentstatus {
    color: #ff0000 !important;
    font-weight: 500;
    font-size: 15px;
}

.list-top ul li {
    vertical-align: middle;
}

.list-main tbody th label {
    margin: 0;
}

.list-main .table-scroll tr:nth-child(4) {
    font-weight: 500;
    color: #000;
}

.shipingform {
    display: inline-flex;
}

.shipingform button {
    font-size: 14px;
    margin-left: 5px;
    height: 40px;
}


/*
button {
    border-radius: 0 !important;
}
*/

input {
    display: block;
    width: 100%;
    height: calc(1.5em + .75rem + 2px);
    padding: .375rem .75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    width: auto;
    display: initial;
    height: 40px !important;
    font-size: 14px;
}

.shipingform input {
    width: auto;
    height: 40px !important;
    font-size: 14px;
}

.tableaction {
    list-style: none;
    margin: 0;
    padding: 0;
    margin-bottom: -5px;
}

.tableaction li {
    display: inline-block;
}

.tableaction li button {
    margin: 0;
    padding: 5px;
    height: 30px;
    width: 30px;
    line-height: 20px;
    font-size: 14px;
}

.shipingtableinner tbody tr td {
    text-align: center;
    height: 40px !important;
}

.shipingtableinner th {
    border-top: none !important;
}

.shipingtableinner td {
    border-top: none !important;
}

.shipingform select {
    width: auto;
    height: 40px !important;
    font-size: 14px;
}

.shipingform label {
    line-height: 39px;
    margin-right: 5px;
}

.shipingformselect {
    float: right;
}

.orderitem {
    background: rgb(31 187 154 / 18%) !important;
}

.cupdate {
    display: none;
}

.sperror {
    display: block;
    border: none;
    font-style: normal;
    margin-bottom: 10px;
    margin-top: -10px;
    margin-left: 25%;
    width: 75%;
}

.shipingtableinner tbody tr td a {
    margin: 0 !important;
}

/*.shipingtableinner tbody tr td:last-child {
    width: 150px; 
}*/

@media(min-width:1367px) and (max-width:1440px) {
    .sperror {
        margin-left: 36%;
    }
}

@media(min-width:991px) and (max-width:1366px) {
    .sperror {
        margin-left: 35%;
    }
}

@media(max-width:991px) {
    .sperror {
        margin-left: 0;
        width: 100%;
    }
}

.modal-dialog-slideout {
    min-height: 100%;
    margin: 0 0 0 auto;
    background: #fff;
}

.modal.fade .modal-dialog.modal-dialog-slideout {
    -webkit-transform: translate(100%, 0)scale(1);
    transform: translate(100%, 0)scale(1);
}

.modal.fade.show .modal-dialog.modal-dialog-slideout {
    -webkit-transform: translate(0, 0);
    transform: translate(0, 0);
    display: flex;
    align-items: stretch;
    -webkit-box-align: stretch;
    height: 100%;
}

.modal.fade.show .modal-dialog.modal-dialog-slideout .modal-body {
    overflow-y: auto;
    overflow-x: hidden;
}

.modal-dialog-slideout .modal-content {
    border: 0;
}

.modal-dialog-slideout .modal-header,
.modal-dialog-slideout .modal-footer {
    font-size: 22px;
}

.modal-dialog-slideout .modal-header h5 {
    float: left;
}


/* .list-top ul li .btn {
    border-radius: 0 !important;
    line-height: 27px !important;
} */

@media (min-width: 576px) {
    .sidepopup .modal-dialog {
        max-width: 900px;
    }
}

.cs {
    margin-bottom: 15px;
}

.cs .form-group {
    width: 100%;
    float: left;
    margin: 0;
}

.cs .form-group label {
    width: 40%;
    float: left;
    font-size: 14px;
    line-height: 28px;
    margin: 0;
}

.cs .form-group span {
    width: 60%;
    float: left;
    text-align: left;
    font-size: 14px;
    line-height: 31px;
}

.csright button {
    margin-bottom: 10px;
    margin-right: 0;
}

.csright {
    background: #f7f7f7;
    border: 1px solid #ddd;
    padding: 15px 15px 10px 15px;
    width: 100%;
    float: left;
}

.csright .form-group span {
    font-size: 14px;
    background-color: #fff;
    padding: 10px 12px;
    border: 1px solid #ddd;
    height: 40px;
    line-height: 19px;
    width: 100%;
    float: left;
}

.csright .form-group span.potext {
    font-size: 14px;
    background-color: #fff;
    padding: 5px 5px;
    border: 1px solid #ddd;
    height: 30px;
    line-height: 19px;
    width: 100%;
    float: left;
}

.csright .form-group {
    margin-bottom: 15px;
}

.csright .form-group label {
    line-height: 30px;
    width: 100%;
    float: left;
}

.wi100 {
    width: 100%;
    float: left;
}

.modal {
    z-index: 9999 !important;
}

.editimage-place {
    /* display: flex; */
}

.editimage-place input {
    width: 88%;
    float: left;
}

.editimage-place .editplaceimg {
    width: 12%;
    float: left;
}

.editimage-place .editplaceimg img {
    width: 30px;
    height: 40px;
    float: right;
}

.boxinboxpage {
    width: 30px;
    height: 30px;
    line-height: 23px;
}

.boxpopup input {
    margin: 0;
    margin-bottom: 15px;
    margin-top: 10px;
}

.boxpopup button {
    margin: 0 !important;
}

.airwaybillpopup .modal-content {
    box-shadow: 0px 0px 20px #00000030;
}

.airwaybillpopup .modal-content input {
    margin: 0;
    margin-top: 10px;
    margin-bottom: 15px;
}

@media (min-width: 576px) {
    .airwaybillpopup .modal-dialog {
        max-width: 400px;
    }
    .shipdatepopup .modal-dialog {
        max-width: 400px;
    }
}

.m-bt-5 {
    margin-top: 5px;
    margin-bottom: 5px;
}

h3.popupheader {
    font-size: 18px;
    font-weight: bold;
    text-align: left;
    margin-left: 10px;
}

.popupclose {
    font-size: 36px
}

.swal2-container {
    z-index: 99999 !important;
}

@media (min-width: 576px) {
    .productPopup .modal-dialog {
        max-width: 400px;
    }
}

.productPopup .table-responsive {
    max-height: 440px;
    overflow: scroll;
    margin-bottom: 20px;
}

.productPopup .modal.fade.show .modal-dialog.modal-dialog-slideout .modal-body {
    overflow-y: hidden !important;
}

#customalert {
    display: none;
    /* background-color: #e66c00; */
    color: white;
    position: absolute;
    width: 350px;
    border-radius: 5px;
    left: 50%;
    top: 20px;
    margin-left: -160px;
    padding: 16px 8px 8px;
    box-sizing: border-box;
    z-index: 999999;
    font-size: 15px;
}


/* Designing dialog box's okay buttun */

#customalert button {
    background-color: #ffffff;
    display: inline-block;
    border-radius: 5px;
    border: 2px solid #ffffff;
    padding: 5px;
    text-align: center;
    width: 60px;
    color: #000;
    font-size: 14px;
    line-height: 25px;
    height: 36px;
    font-weight: 500;
    letter-spacing: 0.6px;
}


/* Dialog box message decorating */

#customalert .message {
    text-align: left;
    padding: 10px 15px;
}

.alertsuccess {
    background-color: #61a9dd;
}

.alerterror {
    background-color: #e64100;
}

.c-model .modal-body {
    border: 1px solid #ddd;
}

.productPopup.show .modal-dialog.modal-dialog-slideout .modal-body {
    overflow-y: hidden !important;
    overflow-x: hidden !important;
}

.table_r {
    width: 100%;
    max-width: 100%;
    margin-bottom: 20px;
}

.table_r>tbody>tr>td,
.table_r>tbody>tr>th,
.table_r>tfoot>tr>td,
.table_r>tfoot>tr>th,
.table_r>thead>tr>td,
.table_r>thead>tr>th {
    padding: 8px;
    line-height: 1.42857143;
    vertical-align: top;
    border-top: 1px solid #ddd;
}

input[type=checkbox],
input[type=radio] {
    margin-right: 5px;
    height: auto !important;
    display: inherit;
    vertical-align: text-top;
}

.plfilter {
    display: none !important;
}

.spfilterproduct {
    font-weight: bold;
    font-size: 14px;
    color: #3c29ce;
}

.spfilterproduct:hover {
    text-decoration: underline;
    cursor: pointer;
}

#addairbill,
.addairbill {
    background: green;
    color: white;
    padding: 2px 4px;
    height: auto;
    width: 20px;
    float: right;
    font-size: 13px;
    font-weight: bold;
}


.col-md-55, .col-xs-12, .col-sm-1, .col-md-1, .col-lg-1, .col-xs-2, .col-sm-2, .col-md-2, .col-lg-2, .col-xs-3, .col-sm-3, .col-md-3, .col-lg-3, .col-xs-4, .col-sm-4, .col-md-4, .col-lg-4, .col-xs-5, .col-sm-5, .col-md-5, .col-lg-5, .col-xs-6, .col-sm-6, .col-md-6, .col-lg-6, .col-xs-7, .col-sm-7, .col-md-7, .col-lg-7, .col-xs-8, .col-sm-8, .col-md-8, .col-lg-8, .col-xs-9, .col-sm-9, .col-md-9, .col-lg-9, .col-xs-10, .col-sm-10, .col-md-10, .col-lg-10, .col-xs-11, .col-sm-11, .col-md-11, .col-lg-11, .col-sm-12, .col-md-12, .col-lg-12 {
    position: relative;
    min-height: 1px;
    float: none;
    padding-right: 15px;
    padding-left: 15px;
}

div.row{
        margin-right: -15px;
    margin-left: -15px;
}


.nav-sm .container.body .col-md-3.left_col{
    position: fixed; 
}

table.dataTable>tbody>tr.child ul.dtr-details>li{
    display: flex;
    justify-content: space-between;
}

table.dataTable>tbody>tr.child ul.dtr-details{
    width: 100%;
    text-align: left;
}

table#pop-table{
    width: auto !important;
}

.customer-details-left form{
    width: 100%;
}


@media (max-width:767px){
    form.shipingform{
        display: block;
    }
    footer .pull-right{
        font-size: 11px;
    }
    .dataTables_info{
        width: 100%;
    }
}

.checkbox-xl .custom-control-label::before,
.checkbox-xl .custom-control-label::after {
    top: 0rem;
    width: 1.85rem;
    height: 1.85rem;
}

.checkbox-xl .custom-control-label {
    padding-top: 23px;
    padding-left: 10px;
}



